TOC {#CommandLineTOC}
=====================

- @ref CommandLine
  - @ref CommandLineGeneral
  - @ref CommandLineGeneralOptions
    - @ref CommandLineHelp "help"
    - @ref CommandLineVersion "version"
    - @ref CommandLineUpgrade "upgrade"
    - @ref CommandLineConfiguration "configuration"
    - @ref CommandLineDaemon "daemon"
    - @ref CommandLineDefaultLanguage "default-language"
    - @ref CommandLineSupervisor "supervisor"
    - @ref CommandLineUid "uid"
    - @ref CommandLineGid "gid"
    - @ref CommandLinePidFile "pid-file"
  - @ref CommandLineArangod
    - @ref CommandLineConsole "console"
    - @ref CommandLineArangoEndpoint "server.endpoint"
    - @ref CommandLineArangoReuseAddress "server.reuse-address"
    - @ref CommandLineArangoDisableAuthentication "server.disable-authentication"
    - @ref CommandLineArangoDisableAuthenticationUnixSockets "server.disable-authentication-unix-sockets"
    - @ref CommandLineArangoAuthenticateSystemOnly "server.authenticate-system-only"
    - @ref CommandLineArangoKeepAliveTimeout "server.keep-alive-timeout"
    - @ref CommandLineArangoDefaultApiCompatibility "server.default-api-compatibility"
    - @ref CommandLineArangoAllowMethodOverride "server.allow-method-override"
    - @ref CommandLineArangoDisableReplicationLogger "server.disable-replication-logger"
    - @ref CommandLineArangoDisableReplicationApplier "server.disable-replication-applier"
    - @ref CommandLineArangoKeyFile "server.keyfile"
    - @ref CommandLineArangoCaFile "server.cafile"
    - @ref CommandLineArangoSslProtocol "server.ssl-protocol"
    - @ref CommandLineArangoSslCacheMode "server.ssl-cache"
    - @ref CommandLineArangoSslOptions "server.ssl-options"
    - @ref CommandLineArangoSslCipherList "server.ssl-cipher-list"
    - @ref CommandLineArangoBacklogSize "server.backlog-size"
    - @ref CommandLineArangoDisableStatistics "server.disable-statistics"
    - @ref CommandLineArangoDirectory "database.directory"
    - @ref CommandLineArangoMaximalJournalSize "database.maximal-journal-size"
    - @ref CommandLineArangoWaitForSync "database.wait-for-sync"
    - @ref CommandLineArangoForceSyncProperties "database.force-sync-properties"
    - @ref CommandLineArangoJsGcFrequency "javascript.gc-frequency"
    - @ref CommandLineArangoJsGcInterval "javascript.gc-interval"
    - @ref CommandLineArangoJsV8Options "javascript.v8-options"
  - @ref CommandLineDevelopment
    - @ref CommandLineArangoDevelopmentMode "development-mode"
  - @ref CommandLineCluster
    - @ref CommandLineArangoClusterAgencyEndpoint "cluster.agency-endpoint"
    - @ref CommandLineArangoClusterAgencyPrefix "cluster.agency-prefix"
    - @ref CommandLineArangoClusterMyId "cluster.my-id"
    - @ref CommandLineArangoClusterMyAddress "cluster.my-address"
    - @ref CommandLineArangoClusterUsername "cluster.username"
    - @ref CommandLineArangoClusterPassword "cluster.password"
  - @ref CommandLineLogging
    - @ref CommandLineLoggingGeneral
      - @ref CommandLineLoggingLogFile "log.file"
      - @ref CommandLineLoggingLogRequestsFile "log.requests-file"
      - @ref CommandLineLoggingLogSeverity "log.severity"
      - @ref CommandLineLoggingLogSyslog "log.syslog"
    - @ref CommandLineLoggingHuman
      - @ref CommandLineLoggingLogLevel "log.level"
      - @ref CommandLineLoggingLogLineNumber "log.line-number"
      - @ref CommandLineLoggingLogPrefix "log.prefix"
      - @ref CommandLineLoggingLogThread "log.thread"
      - @ref CommandLineLoggingLogSourceFilter "log.source-filter"
      - @ref CommandLineLoggingLogContentFilter "log.content-filter"
    - @ref CommandLineLoggingMachine
      - @ref CommandLineLoggingLogApplication "log.application"
      - @ref CommandLineLoggingLogFacility "log.facility"
      - @ref CommandLineLoggingLogHostName "log.hostname"
  - @ref CommandLineScheduler
    - @ref CommandLineSchedulerThreads "scheduler.threads"
    - @ref CommandLineSchedulerMaximalQueueSize "scheduler.maximal-queue-size"
    - @ref CommandLineSchedulerBackend "scheduler.backend"
    - @ref CommandLineSchedulerShowIoBackends "show-io-backends"
  - @ref CommandLineRandom
    - @ref CommandLineRandomGenerator "random.generator"
    - @ref CommandLineRandomGenerator "random.no-seed"
