/* lib/BasicsC/local-configuration.h.  Generated from local-configuration.h.in by configure.  */
////////////////////////////////////////////////////////////////////////////////
/// @brief High-Performance Database Framework made by triagens
///
/// @file
///
/// DISCLAIMER
///
/// Copyright 2004-2012 triagens GmbH, Cologne, Germany
///
/// Licensed under the Apache License, Version 2.0 (the "License");
/// you may not use this file except in compliance with the License.
/// You may obtain a copy of the License at
///
///     http://www.apache.org/licenses/LICENSE-2.0
///
/// Unless required by applicable law or agreed to in writing, software
/// distributed under the License is distributed on an "AS IS" BASIS,
/// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
/// See the License for the specific language governing permissions and
/// limitations under the License.
///
/// Copyright holder is triAGENS GmbH, Cologne, Germany
///
/// @author Dr. Frank Celler
/// @author Copyright 2011-2012, triAGENS GmbH, Cologne, Germany
////////////////////////////////////////////////////////////////////////////////

#ifndef TRIAGENS_BASICS_CONFIGURATION_H
#define TRIAGENS_BASICS_CONFIGURATION_H 1

#ifndef TRI_WITHIN_COMMON
#error use <BasicsC/common.h>
#endif

// -----------------------------------------------------------------------------
// --SECTION--                                     Special Configuration Options
// -----------------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////////////
/// @addtogroup Configuration
/// @{
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
/// @brief enable calculation of timing figures
////////////////////////////////////////////////////////////////////////////////

#define TRI_ENABLE_FIGURES 1

////////////////////////////////////////////////////////////////////////////////
/// @brief enable hiresolution timer for figures
////////////////////////////////////////////////////////////////////////////////

/* #undef TRI_ENABLE_HIRES_FIGURES */

////////////////////////////////////////////////////////////////////////////////
/// @brief enable logging
////////////////////////////////////////////////////////////////////////////////

#define TRI_ENABLE_LOGGER 1

////////////////////////////////////////////////////////////////////////////////
/// @brief enable logging of timings
////////////////////////////////////////////////////////////////////////////////

#define TRI_ENABLE_LOGGER_TIMING 1

////////////////////////////////////////////////////////////////////////////////
/// @brief enable timings
////////////////////////////////////////////////////////////////////////////////

#define TRI_ENABLE_TIMING 1

////////////////////////////////////////////////////////////////////////////////
/// @brief enable cluster features
////////////////////////////////////////////////////////////////////////////////

#define TRI_ENABLE_CLUSTER 1

////////////////////////////////////////////////////////////////////////////////
/// @brief enable maintainer mode
////////////////////////////////////////////////////////////////////////////////

/* #undef TRI_ENABLE_MAINTAINER_MODE */

////////////////////////////////////////////////////////////////////////////////
/// @brief use MRUBY as alternative/addition to JavaScript
////////////////////////////////////////////////////////////////////////////////

/* #undef TRI_ENABLE_MRUBY */

////////////////////////////////////////////////////////////////////////////////
/// @brief configure command
////////////////////////////////////////////////////////////////////////////////

#define TRI_CONFIGURE_COMMAND " './configure'"

////////////////////////////////////////////////////////////////////////////////
/// @brief configure options
////////////////////////////////////////////////////////////////////////////////

#define TRI_CONFIGURE_OPTIONS " "

////////////////////////////////////////////////////////////////////////////////
/// @brief configure flags
////////////////////////////////////////////////////////////////////////////////

#define TRI_CONFIGURE_FLAGS " "

////////////////////////////////////////////////////////////////////////////////
/// @brief repository version
////////////////////////////////////////////////////////////////////////////////

#define TRI_REPOSITORY_VERSION "1.4.0-alpha2"

////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////

#endif

// Local Variables:
// mode: outline-minor
// outline-regexp: "^\\(/// @brief\\|/// {@inheritDoc}\\|/// @addtogroup\\|// --SECTION--\\|/// @\\}\\)"
// End:
